Build #9 for GLUT-2.1.2.2

[all reports]

Package GLUT-2.1.2.2
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2016-12-24 22:28:38.747139 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies OpenGL-3.0.1.0, array-0.5.1.1, base-4.9.0.0, containers-0.5.7.1
Flags split-base

Build log

[view raw]

Resolving dependencies...
Configuring ObjectName-1.1.0.1...
Configuring fixed-0.2.1.1...
Building fixed-0.2.1.1...
Building ObjectName-1.1.0.1...
Installed ObjectName-1.1.0.1
Configuring half-0.2.2.3...
Configuring stm-2.4.4.1...
Installed fixed-0.2.1.1
Building half-0.2.2.3...
Building stm-2.4.4.1...
Configuring text-1.2.2.1...
Installed half-0.2.2.3
Building text-1.2.2.1...
Installed stm-2.4.4.1
Configuring StateVar-1.1.0.4...
Building StateVar-1.1.0.4...
Installed StateVar-1.1.0.4
Installed text-1.2.2.1
Configuring OpenGLRaw-3.2.4.0...
Building OpenGLRaw-3.2.4.0...
Installed OpenGLRaw-3.2.4.0
Configuring GLURaw-2.0.0.3...
Building GLURaw-2.0.0.3...
Installed GLURaw-2.0.0.3
Configuring OpenGL-3.0.1.0...
Building OpenGL-3.0.1.0...
Installed OpenGL-3.0.1.0
Configuring GLUT-2.1.2.2...
Building GLUT-2.1.2.2...
Failed to install GLUT-2.1.2.2
Build log ( /home/builder/.cabal/logs/GLUT-2.1.2.2.log ):
cabal: Entering directory '/tmp/cabal-tmp-26250/GLUT-2.1.2.2'
Configuring GLUT-2.1.2.2...
checking for gcc... /usr/bin/gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether /usr/bin/gcc accepts -g... yes
checking for /usr/bin/gcc option to accept ISO C89... none needed
checking for Windows environment... no
checking how to run the C preprocessor... /usr/bin/gcc -E
checking for X... libraries , headers 
checking for gethostbyname... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking for IceConnectionNumber in -lICE... yes
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking target system type... x86_64-unknown-linux-gnu
checking for atan... no
checking for atan in -lm... yes
checking for GL library... -lGL -lm 
checking for GLU library... -lGLU -lGL -lm 
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking windows.h usability... no
checking windows.h presence... no
checking for windows.h... no
checking GL/glut.h usability... yes
checking GL/glut.h presence... yes
checking for GL/glut.h... yes
checking for GLUT library... -lglut  -lSM -lICE -lXmu -lXi  -lGLU -lGL -lm 
checking for GL/glut.h... (cached) yes
checking GLUT/glut.h usability... no
checking GLUT/glut.h presence... no
checking for GLUT/glut.h... no
checking for windows.h... (cached) no
configure: creating ./config.status
config.status: creating GLUT.buildinfo
config.status: creating include/HsGLUTConfig.h
config.status: creating include/HsGLUT.h
config.status: include/HsGLUT.h is unchanged
Building GLUT-2.1.2.2...
Preprocessing library GLUT-2.1.2.2...
[ 1 of 21] Compiling Graphics.UI.GLUT.Extensions ( Graphics/UI/GLUT/Extensions.hs, dist/build/Graphics/UI/GLUT/Extensions.o )
[ 2 of 21] Compiling Graphics.UI.GLUT.Fonts ( Graphics/UI/GLUT/Fonts.hs, dist/build/Graphics/UI/GLUT/Fonts.o )

Graphics/UI/GLUT/Fonts.hs:29:1: error:
    Failed to load interface for ‘Graphics.Rendering.OpenGL.GL.BasicTypes’
    Perhaps you meant
      Graphics.Rendering.OpenGL.GL.DataType
      Graphics.Rendering.OpenGL.GL.Bitmaps (from OpenGL-3.0.1.0)
      Graphics.Rendering.OpenGL.GL.Face
    Use -v to see a list of the files searched for.
cabal: Leaving directory '/tmp/cabal-tmp-26250/GLUT-2.1.2.2'
cabal: Error: some packages failed to install:
GLUT-2.1.2.2 failed during the building phase. The exception was:
ExitFailure 1